import { IStylesLoaderRawComponent } from '../../interfaces/istyles-loader-raw-component.interface';
export declare class StylesLoaderRawComponent implements IStylesLoaderRawComponent {
    private items;
    readonly _: {
        assign: {
            <TObject, TSource>(object: TObject, source: TSource): TObject & TSource;
            <TObject, TSource1, TSource2>(object: TObject, source1: TSource1, source2: TSource2): TObject & TSource1 & TSource2;
            <TObject, TSource1, TSource2, TSource3>(object: TObject, source1: TSource1, source2: TSource2, source3: TSource3): TObject & TSource1 & TSource2 & TSource3;
            <TObject, TSource1, TSource2, TSource3, TSource4>(object: TObject, source1: TSource1, source2: TSource2, source3: TSource3, source4: TSource4): TObject & TSource1 & TSource2 & TSource3 & TSource4;
            <TObject>(object: TObject): TObject;
            (object: any, ...otherArgs: any[]): any;
        };
        isString: (value?: any) => value is string;
        reduce: {
            <T, TResult>(collection: T[], callback: import("lodash").MemoListIterator<T, TResult, T[]>, accumulator: TResult): TResult;
            <T, TResult>(collection: ArrayLike<T>, callback: import("lodash").MemoListIterator<T, TResult, ArrayLike<T>>, accumulator: TResult): TResult;
            <T extends object, TResult>(collection: T, callback: import("lodash").MemoObjectIterator<T[keyof T], TResult, T>, accumulator: TResult): TResult;
            <T>(collection: T[], callback: import("lodash").MemoListIterator<T, T, T[]>): T;
            <T>(collection: ArrayLike<T>, callback: import("lodash").MemoListIterator<T, T, ArrayLike<T>>): T;
            <T extends object>(collection: T, callback: import("lodash").MemoObjectIterator<T[keyof T], T[keyof T], T>): T[keyof T];
        };
    };
    readonly Items: string[];
    Collection: string[];
    trackByValue: (index: number, value: string) => string;
}
