(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('lodash-es'), require('@angular/common/http'), require('rxjs'), require('rxjs/operators'), require('@angular/common'), require('@angular/platform-browser')) :
    typeof define === 'function' && define.amd ? define('ngx-fi-styles-loader', ['exports', '@angular/core', 'lodash-es', '@angular/common/http', 'rxjs', 'rxjs/operators', '@angular/common', '@angular/platform-browser'], factory) :
    (global = global || self, factory(global['ngx-fi-styles-loader'] = {}, global.ng.core, global.lodashEs, global.ng.common.http, global.rxjs, global.rxjs.operators, global.ng.common, global.ng.platformBrowser));
}(this, (function (exports, core, lodashEs, http, rxjs, operators, common, platformBrowser) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __rest(s, e) {
        var t = {};
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    function __exportStar(m, exports) {
        for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
    }

    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m) return m.call(o);
        if (o && typeof o.length === "number") return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    };

    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }

    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
    }

    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }

    function __asyncValues(o) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
    }

    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
        return cooked;
    };

    function __importStar(mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
        result.default = mod;
        return result;
    }

    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }

    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }

    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/components/styles-loader-raw/styles-loader-raw.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var StylesLoaderRawComponent = /** @class */ (function () {
        function StylesLoaderRawComponent() {
            this.items = [];
            this._ = { assign: lodashEs.assign, isString: lodashEs.isString, reduce: lodashEs.reduce };
            this.trackByValue = (/**
             * @param {?} index
             * @param {?} value
             * @return {?}
             */
            function (index, value) { return value; });
        }
        Object.defineProperty(StylesLoaderRawComponent.prototype, "Items", {
            get: /**
             * @return {?}
             */
            function () {
                return this.items;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(StylesLoaderRawComponent.prototype, "Collection", {
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                var _this = this;
                this.items = Object.values(this._.reduce(value, (/**
                 * @param {?} items
                 * @param {?} url
                 * @return {?}
                 */
                function (items, url) {
                    var _a;
                    return (!!url && _this._.isString(url) && _this._.assign(items, (_a = {}, _a[url] = url, _a))) || items;
                }), {}));
            },
            enumerable: true,
            configurable: true
        });
        StylesLoaderRawComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'styles-loader-raw',
                        template: "\n    <ng-container *ngIf=\"!!Items?.length\">\n      <ng-container *ngFor=\"let value of Items; trackBy: trackByValue\">\n        <ng-container *ngIf=\"!!value\">\n          <link async rel=\"stylesheet\" [attr.data-url]=\"value\" [href]=\"value | safeUrl\" />\n        </ng-container>\n      </ng-container>\n    </ng-container>\n  ",
                        encapsulation: core.ViewEncapsulation.None,
                        changeDetection: core.ChangeDetectionStrategy.OnPush
                    }] }
        ];
        StylesLoaderRawComponent.propDecorators = {
            Collection: [{ type: core.Input }]
        };
        return StylesLoaderRawComponent;
    }());
    if (false) {
        /**
         * @type {?}
         * @private
         */
        StylesLoaderRawComponent.prototype.items;
        /** @type {?} */
        StylesLoaderRawComponent.prototype._;
        /** @type {?} */
        StylesLoaderRawComponent.prototype.trackByValue;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/enums/style-handling-mode.enum.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var StyleHandlingMode = {
        PassThrough: "PassThrough",
        VerifiedPassThrough: "VerifiedPassThrough",
        Literal: "Literal",
    };

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/services/styles-loader.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var StylesLoaderService = /** @class */ (function () {
        function StylesLoaderService(http) {
            var _this = this;
            this.http = http;
            this.loadingStylesSubscription = new rxjs.BehaviorSubject({});
            this.loadingStyles$ = this.loadingStylesSubscription.asObservable();
            this._ = { assign: lodashEs.assign, get: lodashEs.get, isString: lodashEs.isString, omit: lodashEs.omit, pick: lodashEs.pick, size: lodashEs.size };
            this.isStyleLoading = (/**
             * @param {?} url
             * @return {?}
             */
            function (url) { return !!_this._.get(_this.loadingStylesSubscription.getValue(), url); });
            this.isStyleLoading$ = (/**
             * @param {?} url
             * @return {?}
             */
            function (url) {
                return _this.loadingStyles$.pipe(operators.map((/**
                 * @param {?} x
                 * @return {?}
                 */
                function (x) { return !!_this._.get(x, url); })), operators.distinctUntilChanged());
            });
            this.areStylesLoading = (/**
             * @param {?} urls
             * @return {?}
             */
            function (urls) { return !!_this._.size(_this._.pick(_this.loadingStylesSubscription.getValue(), urls)); });
            this.areStylesLoading$ = (/**
             * @param {?} urls
             * @return {?}
             */
            function (urls) {
                return _this.loadingStyles$.pipe(operators.map((/**
                 * @param {?} x
                 * @return {?}
                 */
                function (x) { return !!_this._.size(_this._.pick(x, urls)); })), operators.distinctUntilChanged());
            });
            this.removeFromLoading = (/**
             * @param {?} url
             * @return {?}
             */
            function (url) {
                return _this.loadingStylesSubscription.next(_this._.omit(_this.loadingStylesSubscription.getValue(), url));
            });
            this.getStyle$ = (/**
             * @param {?} url
             * @param {?=} styleHandlingMode
             * @return {?}
             */
            function (url, styleHandlingMode) {
                var _a;
                if (!(!!url && _this._.isString(url)) || _this.isStyleLoading(url)) {
                    return rxjs.of(null);
                }
                /** @type {?} */
                var shm = _this._.get(StyleHandlingMode, styleHandlingMode, StyleHandlingMode.VerifiedPassThrough);
                if (shm === StyleHandlingMode.PassThrough) {
                    return rxjs.of(url);
                }
                _this.loadingStylesSubscription.next(_this._.assign({}, _this.loadingStylesSubscription.getValue(), (_a = {}, _a[url] = url, _a)));
                /** @type {?} */
                var request = _this.http.get(url, { responseType: 'blob' });
                return (shm === StyleHandlingMode.Literal //
                    ? request.pipe(operators.map((/**
                     * @param {?} result
                     * @return {?}
                     */
                    function (result) { return URL.createObjectURL(result); })))
                    : request.pipe(operators.map((/**
                     * @return {?}
                     */
                    function () { return url; })))).pipe(operators.catchError((/**
                 * @param {?} error
                 * @return {?}
                 */
                function (error) {
                    console.error(error);
                    return rxjs.of(null);
                })), operators.finalize((/**
                 * @return {?}
                 */
                function () { return _this.removeFromLoading(url); })));
            });
        }
        StylesLoaderService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        StylesLoaderService.ctorParameters = function () { return [
            { type: http.HttpClient }
        ]; };
        /** @nocollapse */ StylesLoaderService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function StylesLoaderService_Factory() { return new StylesLoaderService(core.ɵɵinject(http.HttpClient)); }, token: StylesLoaderService, providedIn: "root" });
        return StylesLoaderService;
    }());
    if (false) {
        /**
         * @type {?}
         * @private
         */
        StylesLoaderService.prototype.loadingStylesSubscription;
        /** @type {?} */
        StylesLoaderService.prototype.loadingStyles$;
        /** @type {?} */
        StylesLoaderService.prototype._;
        /** @type {?} */
        StylesLoaderService.prototype.isStyleLoading;
        /** @type {?} */
        StylesLoaderService.prototype.isStyleLoading$;
        /** @type {?} */
        StylesLoaderService.prototype.areStylesLoading;
        /** @type {?} */
        StylesLoaderService.prototype.areStylesLoading$;
        /**
         * @type {?}
         * @private
         */
        StylesLoaderService.prototype.removeFromLoading;
        /** @type {?} */
        StylesLoaderService.prototype.getStyle$;
        /**
         * @type {?}
         * @private
         */
        StylesLoaderService.prototype.http;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/components/styles-loader/styles-loader.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var StylesLoaderComponent = /** @class */ (function () {
        function StylesLoaderComponent(loaderService) {
            this.loaderService = loaderService;
            this.items = [];
            this._ = { assign: lodashEs.assign, reduce: lodashEs.reduce, isString: lodashEs.isString, pick: lodashEs.pick, get: lodashEs.get };
            this.trackByKey = (/**
             * @param {?} index
             * @param {?} __1
             * @return {?}
             */
            function (index, _a) {
                var _b = _a.key, key = _b === void 0 ? "" + index : _b;
                return key;
            });
        }
        Object.defineProperty(StylesLoaderComponent.prototype, "Items", {
            get: /**
             * @return {?}
             */
            function () {
                return this.items;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(StylesLoaderComponent.prototype, "Config", {
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                var _this = this;
                var _a = this._.pick(value, ['collection', 'handling']), collection = _a.collection, handling = _a.handling;
                this.items = Object.values(this._.reduce(collection, (/**
                 * @param {?} items
                 * @param {?} url
                 * @return {?}
                 */
                function (items, url) {
                    var _a;
                    return (!!url &&
                        _this._.isString(url) &&
                        _this._.assign(items, (_a = {},
                            _a[url] = {
                                key: url,
                                url: url,
                                $: _this.loaderService.getStyle$(url, _this._.get(handling, url))
                            },
                            _a))) ||
                        items;
                }), {}));
            },
            enumerable: true,
            configurable: true
        });
        StylesLoaderComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'styles-loader',
                        template: "\n    <ng-container *ngIf=\"!!Items?.length\">\n      <ng-container *ngFor=\"let obj of Items; trackBy: trackByKey\">\n        <ng-container *ngIf=\"obj.$ | async as style\">\n          <link async rel=\"stylesheet\" [attr.data-url]=\"obj.url\" [href]=\"style | safeUrl\" />\n        </ng-container>\n      </ng-container>\n    </ng-container>\n  ",
                        encapsulation: core.ViewEncapsulation.None,
                        changeDetection: core.ChangeDetectionStrategy.OnPush
                    }] }
        ];
        /** @nocollapse */
        StylesLoaderComponent.ctorParameters = function () { return [
            { type: StylesLoaderService }
        ]; };
        StylesLoaderComponent.propDecorators = {
            Config: [{ type: core.Input }]
        };
        return StylesLoaderComponent;
    }());
    if (false) {
        /**
         * @type {?}
         * @private
         */
        StylesLoaderComponent.prototype.items;
        /** @type {?} */
        StylesLoaderComponent.prototype._;
        /** @type {?} */
        StylesLoaderComponent.prototype.trackByKey;
        /**
         * @type {?}
         * @private
         */
        StylesLoaderComponent.prototype.loaderService;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/interfaces/styles-loader-config.interface.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @record
     */
    function StylesLoaderConfig() { }
    if (false) {
        /** @type {?} */
        StylesLoaderConfig.prototype.collection;
        /** @type {?|undefined} */
        StylesLoaderConfig.prototype.handling;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/pipes/safe-url/safe-url.pipe.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SafeUrlPipe = /** @class */ (function () {
        function SafeUrlPipe(sanitizer) {
            var _this = this;
            this.sanitizer = sanitizer;
            this.transform = (/**
             * @param {?} value
             * @return {?}
             */
            function (value) { return _this.sanitizer.bypassSecurityTrustResourceUrl(value); });
        }
        SafeUrlPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'safeUrl'
                    },] }
        ];
        /** @nocollapse */
        SafeUrlPipe.ctorParameters = function () { return [
            { type: platformBrowser.DomSanitizer }
        ]; };
        return SafeUrlPipe;
    }());
    if (false) {
        /** @type {?} */
        SafeUrlPipe.prototype.transform;
        /**
         * @type {?}
         * @private
         */
        SafeUrlPipe.prototype.sanitizer;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/ngx-fi-styles-loader.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var components = [StylesLoaderComponent, StylesLoaderRawComponent];
    var NgxFiStylesLoaderModule = /** @class */ (function () {
        function NgxFiStylesLoaderModule() {
        }
        NgxFiStylesLoaderModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: __spread(components, [SafeUrlPipe]),
                        entryComponents: components,
                        exports: components,
                        imports: [common.CommonModule, http.HttpClientModule],
                        providers: [StylesLoaderService]
                    },] }
        ];
        return NgxFiStylesLoaderModule;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/ngx-fi-styles-loader.testing-module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var StylesLoaderMockComponent = /** @class */ (function () {
        function StylesLoaderMockComponent() {
            this.Items = [];
        }
        StylesLoaderMockComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'styles-loader',
                        template: 'styles-loader'
                    }] }
        ];
        StylesLoaderMockComponent.propDecorators = {
            Config: [{ type: core.Input }]
        };
        return StylesLoaderMockComponent;
    }());
    if (false) {
        /** @type {?} */
        StylesLoaderMockComponent.prototype.Items;
        /** @type {?} */
        StylesLoaderMockComponent.prototype.Config;
    }
    var StylesLoaderRawMockComponent = /** @class */ (function () {
        function StylesLoaderRawMockComponent() {
        }
        StylesLoaderRawMockComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'styles-loader-raw',
                        template: 'styles-loader-raw'
                    }] }
        ];
        StylesLoaderRawMockComponent.propDecorators = {
            Collection: [{ type: core.Input }]
        };
        return StylesLoaderRawMockComponent;
    }());
    if (false) {
        /** @type {?} */
        StylesLoaderRawMockComponent.prototype.Items;
        /** @type {?} */
        StylesLoaderRawMockComponent.prototype.Collection;
    }
    var StylesLoaderMockService = /** @class */ (function () {
        function StylesLoaderMockService() {
            this.loadingStyles$ = new rxjs.BehaviorSubject({});
            this.isStyleLoading = (/**
             * @param {?} url
             * @return {?}
             */
            function (url) { return false; });
            this.isStyleLoading$ = (/**
             * @param {?} url
             * @return {?}
             */
            function (url) { return rxjs.of(false); });
            this.areStylesLoading = (/**
             * @param {?} urls
             * @return {?}
             */
            function (urls) { return false; });
            this.areStylesLoading$ = (/**
             * @param {?} urls
             * @return {?}
             */
            function (urls) { return rxjs.of(false); });
            this.getStyle$ = (/**
             * @param {?} url
             * @param {?=} styleHandlingMode
             * @return {?}
             */
            function (url, styleHandlingMode) { return rxjs.of(null); });
        }
        return StylesLoaderMockService;
    }());
    if (false) {
        /** @type {?} */
        StylesLoaderMockService.prototype.loadingStyles$;
        /** @type {?} */
        StylesLoaderMockService.prototype.isStyleLoading;
        /** @type {?} */
        StylesLoaderMockService.prototype.isStyleLoading$;
        /** @type {?} */
        StylesLoaderMockService.prototype.areStylesLoading;
        /** @type {?} */
        StylesLoaderMockService.prototype.areStylesLoading$;
        /** @type {?} */
        StylesLoaderMockService.prototype.getStyle$;
    }
    /** @type {?} */
    var components$1 = [StylesLoaderMockComponent, StylesLoaderRawMockComponent];
    var NgxFiStylesLoaderTestingModule = /** @class */ (function () {
        function NgxFiStylesLoaderTestingModule() {
        }
        NgxFiStylesLoaderTestingModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: components$1,
                        entryComponents: components$1,
                        exports: __spread(components$1),
                        providers: [
                            {
                                provide: StylesLoaderService,
                                useClass: StylesLoaderMockService
                            }
                        ]
                    },] }
        ];
        return NgxFiStylesLoaderTestingModule;
    }());

    exports.NgxFiStylesLoaderModule = NgxFiStylesLoaderModule;
    exports.NgxFiStylesLoaderTestingModule = NgxFiStylesLoaderTestingModule;
    exports.StyleHandlingMode = StyleHandlingMode;
    exports.StylesLoaderComponent = StylesLoaderComponent;
    exports.StylesLoaderMockComponent = StylesLoaderMockComponent;
    exports.StylesLoaderMockService = StylesLoaderMockService;
    exports.StylesLoaderRawComponent = StylesLoaderRawComponent;
    exports.StylesLoaderRawMockComponent = StylesLoaderRawMockComponent;
    exports.StylesLoaderService = StylesLoaderService;
    exports.ɵa = SafeUrlPipe;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ngx-fi-styles-loader.umd.js.map
